Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.sprig.com/llms.txt

Use this file to discover all available pages before exploring further.

The Sprig API is organized around REST. Our API has predictable resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs. Sprig offers API access to both your Production and Development environments. You can use your Development environment to validate your usage of the Sprig API before interacting with your live data. The API key you use to authenticate the request determines whether the request runs against Production data or Development data. Team members with the Admin or Developer roles can see the API keys.

Find your API keys

Sprig Environment IDs are not used to manage access to the Sprig API, but you will have separate keys for each environment. Environment IDs are appended to a string describing the authentication type. To find your authorization keys:
  1. In the Navigation Pane, click Integrations.
  2. Click Enrichment under the Sources section.
  3. Click Data Import API.
  4. Click on the appropriate Environment ID and then click the copy icon to copy a key.

Authentication

Protect your API key. Your keys grant access to your data stored in Sprig, so be sure to keep them secure. Treat your API key as if it were your account password. Do not share your API keys in publicly accessible areas such as GitHub, client-side code, or support chats.
Authentication to the API is performed via the HTTP Authorization header. Include this header on all requests to the API. Sprig uses keywords followed by the API keys to authenticate requests to the public API. Depending on the endpoint, you will prepend either API-Key (v2 API) or Bearer (export API):
API-Key YOUR_API_KEY
Bearer YOUR_API_KEY
Using the command-line tool curl, you would use the following snippet to include the API key with a request:
curl https://api.sprig.com/v1/users/1234567890 \
  -H "Authorization: API-Key YOUR_API_KEY"
HTTP clients in all programming languages allow for custom headers to be set. If you need assistance using the Sprig API with a specific language, please email support@sprig.com. All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.
New code events must be approved in the Sprig app. If you are adding an event for the first time, it will not automatically appear in the Events table. For the event to become usable by Sprig once it is triggered, you must approve the event in Events > Manage Requests.

Rate limiting

Enterprise customers have an API rate limit of 1000 queries per second. If you need a higher limit, or you are on a Starter or Free plan and are interested in API access, please reach out to support@sprig.com. Requests that are too big to process in a reasonable amount of time will fail with a timeout error. Use parameters to limit the scope of your request and prevent timeouts.